1. Branch
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Branch

Branch List

GET
/api/v1/branch

Branch List#

Purpose#

Retrieve all branches available for the authenticated merchant.

Why would you use this?#

Use this API when your system needs to know which branches exist in VasyERP.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP

Information Returned#

FieldDescription
branchIdUnique identifier of the branch
branchNameName of the branch

Example Use Case#

A merchant operates multiple branches:
Before creating orders, the system can retrieve branch IDs using this API.

Important Notes#

Branch ID is required in many APIs.
Store branch IDs in your system.
Branch IDs are merchant-specific.

Request

Header Params

Responses

🟢200OK
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/branch' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example
{
    "status": true,
    "message": " Branch ID ",
    "code": "200",
    "response": [
        {
            "branchId": 24448,
            "branchName": "my business"
        },
        {
            "branchId": 24617,
            "branchName": "Umesh Branch"
        },
        {
            "branchId": 24677,
            "branchName": "Test Branch"
        },
        {
            "branchId": 24785,
            "branchName": "Sector 46 Noida"
        },
        {
            "branchId": 24806,
            "branchName": "Vyapar Kendra"
        },
        {
            "branchId": 24807,
            "branchName": "South City"
        },
        {
            "branchId": 24808,
            "branchName": "Dlf Phase 1"
        },
        {
            "branchId": 24809,
            "branchName": "Gurgaon Warehouse"
        },
        {
            "branchId": 24810,
            "branchName": "Ananda Sec 81"
        },
        {
            "branchId": 24811,
            "branchName": "Noida Warehouse"
        },
        {
            "branchId": 24812,
            "branchName": "Cleo country noida"
        }
    ]
}
Next
department
Built with